VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
VstSuspendResumeTest Class Reference

Test Suspend/Resume. More...

`#include <vsttestsuite.h>`

Inheritance diagram for VstSuspendResumeTest:

## Public Member Functions
| VstSuspendResumeTest (IPlugProvider *plugProvider, ProcessSampleSize sampl)
const char * | getName () const SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
Public Member Functions inherited from VstTestEnh
| VstTestEnh (IPlugProvider *plugProvider, ProcessSampleSize sampl)
virtual | ~VstTestEnh ()
bool | setup () SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestBase
| VstTestBase (IPlugProvider *plugProvider)
virtual | ~VstTestBase ()
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
virtual void | printTestHeader (ITestResult *testResult)

## Additional Inherited Members
Public Types inherited from VstTestEnh
enum | AudioDefaults { kBlockSize = 64, kMaxSamplesPerBlock = 8192, kSampleRate = 44100 }
Protected Attributes inherited from VstTestEnh
IAudioProcessor * | audioEffect
ProcessSetup | processSetup
Protected Attributes inherited from VstTestBase
IPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Detailed Description

Test Suspend/Resume.

## Constructor & Destructor Documentation

VstSuspendResumeTest | ( | IPlugProvider * | plugProvider,
|  | ProcessSampleSize | sampl
| ) |  |

## Member Function Documentation

const char* getName | ( |  | ) | const
| inline virtual

Implements VstTestBase.

bool run | ( | ITestResult * | testResult | ) |

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.